Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.borg.model.entity
Class Task

    java.lang.Object
      net.sf.borg.model.entity.KeyedEntity<Task>
          net.sf.borg.model.entity.Task

All Implemented Interfaces:
  Serializable, CalendarEntity

    public class Task

extends KeyedEntity<Task>
implements CalendarEntity

The Task Entity

See Also:
  Serialized Form

Constructor Summary
`Task()`

Method Summary
`protected Task` | `clone()`
`String` | `getCategory()` Gets the category.
`String` | `getColor()` Gets the color.
`Date` | `getCompletionDate()` Gets the completion date.
`Date` | `getDate()` Gets the date.
`String` | `getDescription()` Gets the description.
`Date` | `getDueDate()` Gets the due date.
`Integer` | `getDuration()` Gets the duration.
`Date` | `getNextTodo()` Gets the next todo date.
`String` | `getPersonAssigned()` Gets the person assigned.
`Integer` | `getPriority()` Gets the priority.
`Integer` | `getProject()` Gets the project.
`String` | `getResolution()` Gets the resolution.
`Date` | `getStartDate()` Gets the start date.
`String` | `getState()` Gets the state.
`String` | `getText()` Gets the text.
`boolean` | `getTodo()` Gets the todo flag.
`String` | `getType()` Gets the type.
`void` | `setCategory(String xx)` Sets the category.
`void` | `setCompletionDate(Date xx)` Sets the completion date.
`void` | `setDescription(String xx)` Sets the description.
`void` | `setDueDate(Date xx)` Sets the due date.
`void` | `setPersonAssigned(String xx)` Sets the person assigned.
`void` | `setPriority(Integer xx)` Sets the priority.
`void` | `setProject(Integer xx)` Sets the project.
`void` | `setResolution(String xx)` Sets the resolution.
`void` | `setStartDate(Date xx)` Sets the start date.
`void` | `setState(String xx)` Sets the state.
`void` | `setType(String xx)` Sets the type.

Methods inherited from class net.sf.borg.model.entity.KeyedEntity
`copy, getKey, setKey`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Task

    public Task()

Method Detail

### getStartDate

    public Date getStartDate()

  Gets the start date.

  Returns:
    the start date

### setStartDate

    public void setStartDate(Date xx)

  Sets the start date.

  Parameters:
    `xx` - the new start date

### getCompletionDate

    public Date getCompletionDate()

  Gets the completion date.

  Returns:
    the completion date

### setCompletionDate

    public void setCompletionDate(Date xx)

  Sets the completion date.

  Parameters:
    `xx` - the new completion date

### getDueDate

    public Date getDueDate()

  Gets the due date.

  Returns:
    the due date

### setDueDate

    public void setDueDate(Date xx)

  Sets the due date.

  Parameters:
    `xx` - the new due date

### getPersonAssigned

    public String getPersonAssigned()

  Gets the person assigned.

  Returns:
    the person assigned

### setPersonAssigned

    public void setPersonAssigned(String xx)

  Sets the person assigned.

  Parameters:
    `xx` - the new person assigned

### getPriority

    public Integer getPriority()

  Gets the priority.

  Returns:
    the priority

### setPriority

    public void setPriority(Integer xx)

  Sets the priority.

  Parameters:
    `xx` - the new priority

### getState

    public String getState()

  Gets the state.

  Returns:
    the state

### setState

    public void setState(String xx)

  Sets the state.

  Parameters:
    `xx` - the new state

### getType

    public String getType()

  Gets the type.

  Returns:
    the type

### setType

    public void setType(String xx)

  Sets the type.

  Parameters:
    `xx` - the new type

### getDescription

    public String getDescription()

  Gets the description.

  Returns:
    the description

### setDescription

    public void setDescription(String xx)

  Sets the description.

  Parameters:
    `xx` - the new description

### getResolution

    public String getResolution()

  Gets the resolution.

  Returns:
    the resolution

### setResolution

    public void setResolution(String xx)

  Sets the resolution.

  Parameters:
    `xx` - the new resolution

### getCategory

    public String getCategory()

  Gets the category.

  Returns:
    the category

### setCategory

    public void setCategory(String xx)

  Sets the category.

  Parameters:
    `xx` - the new category

### getProject

    public Integer getProject()

  Gets the project.

  Returns:
    the project

### setProject

    public void setProject(Integer xx)

  Sets the project.

  Parameters:
    `xx` - the new project

### getColor

    public String getColor()

  Description copied from interface: `CalendarEntity`
  Gets the color.

  Specified by:
    `getColor` in interface `CalendarEntity`
  Returns:
    the color

### getDuration

    public Integer getDuration()

  Description copied from interface: `CalendarEntity`
  Gets the duration.

  Specified by:
    `getDuration` in interface `CalendarEntity`
  Returns:
    the duration

### getDate

    public Date getDate()

  Description copied from interface: `CalendarEntity`
  Gets the date.

  Specified by:
    `getDate` in interface `CalendarEntity`
  Returns:
    the date

### getTodo

    public boolean getTodo()

  Description copied from interface: `CalendarEntity`
  Gets the todo flag.

  Specified by:
    `getTodo` in interface `CalendarEntity`
  Returns:
    the todo flag

### getNextTodo

    public Date getNextTodo()

  Description copied from interface: `CalendarEntity`
  Gets the next todo date.

  Specified by:
    `getNextTodo` in interface `CalendarEntity`
  Returns:
    the next todo date

### getText

    public String getText()

  Description copied from interface: `CalendarEntity`
  Gets the text.

  Specified by:
    `getText` in interface `CalendarEntity`
  Returns:
    the text

### clone

    protected Task clone()

  Overrides:
    `clone` in class `KeyedEntity<Task>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Generated September 24 2010 by mbb using Apache Ant version 1.7.1 compiled on June 27 2008 and Java version 1.6.0_20 from Sun Microsystems Inc. on Linux i386 2.6.24-28-generic